package com.izouma.nineth.enums;

public enum AssetStatus {
    NORMAL("正常"),
    TRADING("转让中"),
    TRANSFERRED("已转让"),
    GIFTING("转赠中"),
    GIFTED("已转赠"),
    MINTING("铸造中"),
    AUCTIONING("拍卖中"),
    AUCTION_TRADING("拍卖中"),
    AUCTIONED("已拍卖"),
    DESTROYED("已销毁")
    ;

    private final String description;

    AssetStatus(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
